<?php
namespace Claromentis\Core\Message;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("i" . "d" => base64_decode("aWQ" . "="), "t" . "y" . "p" . "e" => base64_decode("dHl" . "wZQ" . "=="), "_f656816961e8" . "573806141c558" . "b184fe2" => base64_decode("c3Viam" . "VjdA=="), "te" . "xt" => base64_decode("dGV4d" . "A=="));
use Claromentis\Core\Event\Event;







class SendEvent extends Event
{
    protected $message_info;
    protected $recipient_info;
    protected $sender_id;
    public function __construct($_bcfb24cb34fc79a85279a34d2eebb7c6, $_a7d1b57fc9cf298f71cc4c520efc2d09, $_f3c6503ca6d913adb51076e07b9a7a35)
    {
        $this->message_info = $_bcfb24cb34fc79a85279a34d2eebb7c6;
        $this->recipient_info = $_a7d1b57fc9cf298f71cc4c520efc2d09;
        $this->sender_id = $_f3c6503ca6d913adb51076e07b9a7a35;
    }
    
    
    
    
    public function GetMessageId()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["i" . "d"]];
    }
    
    
    
    
    public function GetMessageType()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["t" . "y" . "p" . "e"]];
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->recipient_info[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["i" . "d"]];
    }
    
    
    
    
    public function GetRecipientInfo()
    {
        return $this->recipient_info;
    }
    
    
    
    
    public function GetSenderId()
    {
        return $this->sender_id;
    }
    
    
    
    
    public function GetMessageText()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["t" . "e" . "x" . "t"]];
    }
    
    
    
    
    public function GetSubject()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_f656816961e857380614" . "1c558b184fe2"]];
    }
}